package com.dcit.danger.service;

import java.util.List;
import java.util.Map;

import com.dcit.danger.dto.AlarmInfoDTO;
import com.dcit.danger.model.AlarmInfo;
import com.dcit.danger.model.AlarmInfoExample;

public interface AlarmInfoService {
	
	long countByExample(AlarmInfoExample example);

    int deleteByExample(AlarmInfoExample example);

    int deleteByPrimaryKey(String id);

    int insert(AlarmInfo record);

    int insertSelective(AlarmInfo record);

    List<AlarmInfo> selectByExample(AlarmInfoExample example);

    AlarmInfo selectByPrimaryKey(String id);

    int updateByExampleSelective(AlarmInfo record, AlarmInfoExample example);

    int updateByExample(AlarmInfo record, AlarmInfoExample example);

    int updateByPrimaryKeySelective(AlarmInfo record);

    int updateByPrimaryKey(AlarmInfo record);
    
    List<AlarmInfoDTO> selectAlarmInfoList(Map<String, Object> map);

}
